@echo off

cls
bin\asw  -xx -c -A en\build.asm
IF NOT EXIST en\build.p goto LABLPAUSE
IF EXIST en\build.p goto Convert2ROM
:Convert2ROM
bin\p2bin en\build.p en\build.bin -l 32 -r $-$
del en\build.p
del en\build.h
echo building...
bin\split.exe en\build.bin
del en\build.bin
exit /b
:LABLPAUSE

pause


exit /b